/*
	IoT-WiFi-Manager für ESP8266

	20.06.2025
	WiFi Manager für IoT mit myWiFi_Manager.h

	siehe RandomNerdTutorial mit Built-In-LED und Taster an GPIO14 (D5)

  Bei Tastendruck an GPIO14 (D5) zu Masse mit Restart, wird der Wifi_Manager Start erzwungen.
  192.168.4.1 lebt nur 5 Min.

  keine zusätzlichen Parameter

*/

#include "myWiFi_Manager.h"

unsigned long lastCheck = 0;
int checkInterval = 60000;

void setup() {
  Serial.begin(115200);
  delay(100);
  Serial.println("\n\nWiFi-Manager für IoT ohne WebServer. \nStart mit AP und 192.168.4.1 wenn kein WLAN verfügbar.");
  Serial.println("Wenn das verfügbare WLAN Probleme macht, dann mit der Taste an GPIO14 (D5) den WiFi-Manager erzwingen\n");

  startWiFi_Manager();    // siehe #include "myWiFi_Manager.h"

  Serial.println("\nStart Loop.\n");
}


void loop() {
  // Hier kann der Hauptcode laufen
  if (millis() - lastCheck > checkInterval ) {  // Alle xxs prüfen
    lastCheck = millis();
    checkWiFiConnection();
  }

  Serial.println("Fertig");
  delay(5000);

}
